import React from "react";

export default function Checkbox(props : any) {
  return (
    <div>
      <svg className="checkbox-symbol">
        <symbol id="check" viewBox="0 0 12 10">
          <polyline
            points="1.5 6 4.5 9 10.5 1"
            stroke-linecap="round"
            stroke-linejoin="round"
            stroke-width="2"
          ></polyline>
        </symbol>
      </svg>

      <div className="checkbox-container">
        <input className="checkbox-input" id="apples" type="checkbox" checked={props.checked} />
        <label className="checkbox" htmlFor="apples">
          <span>
            <svg width="12px" height="10px">
              <use xlinkHref="#check"></use>
            </svg>
          </span>
        </label>
      </div>
    </div>
  );
}
