import "./global.scss";
import Search from "./components/Search";
import PopularSearch from "./components/PopularSearch";
import Input from "./components/Input";
import Country from "./components/SelectSearch";
import SelectCheckbox from "./components/SelectCheckbox";
import SelectSearch from "./components/SelectRadio";
import SelectRadio from "./components/SelectRadio";
import Radio from "./components/Radio";

function App() {
  return (
    <div className="app">
      <Search />
      <hr />
      <PopularSearch />
      <hr />
      <Input
        label="نام و نام خانوادگی"
        lang="fa"
        status={false}
        maxLength={30}
        message={"اشتباه است."}
      />
      <hr />
      <Country lang="fa" />
      <hr />
      <SelectCheckbox />
      <hr />
      <SelectRadio />
      <hr />
    </div>
  );
}

export default App;
